QGIS Application - Feature request #13621
Close "Query Builder" dialog with the ESC button
2015-10-16 05:44 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category:

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 21659
Description

hitting Esc button closes most of the sub-dialogs in Layer Properties dialog. This doesn't work if you want to close the "query builder”
dialog opened in General tab.

History

#1 - 2015-10-18 12:45 PM - Sebastian Dietrich

The Escape button works as expected, except when the focus is in the provider specific filter expression text box widget, which is the default when
opening the dialog.

Since this widget also captures Return and Tab the dialog is hard if not impossible to use by keyboard alone.
@Harrissou Santanna:

On Windows you can use the shortcut Alt-F4 to close the dialog.

#2 - 2016-12-30 01:07 AM - Alexander Bruy
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Seems fixed in master. Please reopen if necessary.
